#
# @(#)font.properties   1.12 98/10/22
#
# Copyright 1998 by Sun Microsystems, Inc.,
# 901 San Antonio Road, Palo Alto, California, 94303, U.S.A.
# All rights reserved.
#
# This software is the confidential and proprietary information
# of Sun Microsystems, Inc. ("Confidential Information").  You
# shall not disclose such Confidential Information and shall use
# it only in accordance with the terms of the license agreement
# you entered into with Sun.
#

#
# Font properties for the ru_RU.iso88595 (Russian) locale on HP-UX.
#
# This file is not part of the reference implementation from Javasoft.
#

# Serif font definition
#
serif.0=-monotype-times new roman-medium-r-normal--*-%d-*-*-p-*-iso8859-1
serif.1=-hp-hp user-medium-r-normal--*-%d-*-*-m-*-iso8859-5
serif.2=-adobe-symbol-medium-r-normal--*-%d-*-*-p-*-adobe-fontspecific
serif.3=-adobe-symbol-medium-r-normal--*-%d-*-*-p-*-adobe-fontspecific

serif.italic.0=-monotype-times new roman-medium-i-normal--*-%d-*-*-p-*-iso8859-1
serif.italic.1=-hp-hp user-medium-r-normal--*-%d-*-*-m-*-iso8859-5
serif.italic.2=-adobe-symbol-medium-r-normal--*-%d-*-*-p-*-adobe-fontspecific
serif.italic.3=-adobe-symbol-medium-r-normal--*-%d-*-*-p-*-adobe-fontspecific

serif.bold.0=-monotype-times new roman-bold-r-normal--*-%d-*-*-p-*-iso8859-1
serif.bold.1=-hp-hp user-medium-r-normal--*-%d-*-*-m-*-iso8859-5
serif.bold.2=-adobe-symbol-medium-r-normal--*-%d-*-*-p-*-adobe-fontspecific
serif.bold.3=-adobe-symbol-medium-r-normal--*-%d-*-*-p-*-adobe-fontspecific

serif.bolditalic.0=-monotype-times new roman-bold-i-normal--*-%d-*-*-p-*-iso8859-1
serif.bolditalic.1=-hp-hp user-medium-r-normal--*-%d-*-*-m-*-iso8859-5
serif.bolditalic.2=-adobe-symbol-medium-r-normal--*-%d-*-*-p-*-adobe-fontspecific
serif.bolditalic.3=-adobe-symbol-medium-r-normal--*-%d-*-*-p-*-adobe-fontspecific


# SansSerif font definition
#
sansserif.0=-monotype-arial-medium-r-normal--*-%d-*-*-p-*-iso8859-1
sansserif.1=-hp-hp system-medium-r-normal--*-%d-*-*-p-*-iso8859-5
sansserif.2=-adobe-symbol-medium-r-normal--*-%d-*-*-p-*-adobe-fontspecific
sansserif.3=-adobe-symbol-medium-r-normal--*-%d-*-*-p-*-adobe-fontspecific

sansserif.italic.0=-monotype-arial-medium-i-normal--*-%d-*-*-p-*-iso8859-1
sansserif.italic.1=-hp-hp system-medium-r-normal--*-%d-*-*-p-*-iso8859-5
sansserif.italic.2=-adobe-symbol-medium-r-normal--*-%d-*-*-p-*-adobe-fontspecific
sansserif.italic.3=-adobe-symbol-medium-r-normal--*-%d-*-*-p-*-adobe-fontspecific

sansserif.bold.0=-monotype-arial-bold-r-normal--*-%d-*-*-p-*-iso8859-1
sansserif.bold.1=-hp-hp system-bold-r-normal--*-%d-*-*-p-*-iso8859-5
sansserif.bold.2=-adobe-symbol-medium-r-normal--*-%d-*-*-p-*-adobe-fontspecific
sansserif.bold.3=-adobe-symbol-medium-r-normal--*-%d-*-*-p-*-adobe-fontspecific

sansserif.bolditalic.0=-monotype-arial-bold-i-normal--*-%d-*-*-p-*-iso8859-1
sansserif.bolditalic.1=-hp-hp system-bold-r-normal--*-%d-*-*-p-*-iso8859-5
sansserif.bolditalic.2=-adobe-symbol-medium-r-normal--*-%d-*-*-p-*-adobe-fontspecific
sansserif.bolditalic.3=-adobe-symbol-medium-r-normal--*-%d-*-*-p-*-adobe-fontspecific

# Monospaced font definition
#
monospaced.0=-monotype-courier new-medium-r-normal--*-%d-*-*-m-*-iso8859-1
monospaced.1=-hp-hp user-medium-r-normal--*-%d-*-*-m-*-iso8859-5
monospaced.2=-adobe-symbol-medium-r-normal--*-%d-*-*-p-*-adobe-fontspecific
monospaced.3=-adobe-symbol-medium-r-normal--*-%d-*-*-p-*-adobe-fontspecific

monospaced.italic.0=-monotype-courier new-medium-i-normal--*-%d-*-*-m-*-iso8859-1
monospaced.italic.1=-hp-hp user-medium-r-normal--*-%d-*-*-m-*-iso8859-5
monospaced.italic.2=-adobe-symbol-medium-r-normal--*-%d-*-*-p-*-adobe-fontspecific
monospaced.italic.3=-adobe-symbol-medium-r-normal--*-%d-*-*-p-*-adobe-fontspecific

monospaced.bold.0=-monotype-courier new-bold-r-normal--*-%d-*-*-m-*-iso8859-1
monospaced.bold.1=-hp-hp user-medium-r-normal--*-%d-*-*-m-*-iso8859-5
monospaced.bold.2=-adobe-symbol-medium-r-normal--*-%d-*-*-p-*-adobe-fontspecific
monospaced.bold.3=-adobe-symbol-medium-r-normal--*-%d-*-*-p-*-adobe-fontspecific

monospaced.bolditalic.0=-monotype-courier new-bold-i-normal--*-%d-*-*-m-*-iso8859-1
monospaced.bolditalic.1=-hp-hp user-medium-r-normal--*-%d-*-*-m-*-iso8859-5
monospaced.bolditalic.2=-adobe-symbol-medium-r-normal--*-%d-*-*-p-*-adobe-fontspecific
monospaced.bolditalic.3=-adobe-symbol-medium-r-normal--*-%d-*-*-p-*-adobe-fontspecific

# Dialog font definition
#
dialog.0=-monotype-arial-medium-r-normal--*-%d-*-*-p-*-iso8859-1
dialog.1=-hp-hp user-medium-r-normal--*-%d-*-*-m-*-iso8859-5
dialog.2=-adobe-symbol-medium-r-normal--*-%d-*-*-p-*-adobe-fontspecific
dialog.3=-adobe-symbol-medium-r-normal--*-%d-*-*-p-*-adobe-fontspecific

dialog.italic.0=-monotype-arial-medium-i-normal--*-%d-*-*-p-*-iso8859-1
dialog.italic.1=-hp-hp user-medium-r-normal--*-%d-*-*-m-*-iso8859-5
dialog.italic.2=-adobe-symbol-medium-r-normal--*-%d-*-*-p-*-adobe-fontspecific
dialog.italic.3=-adobe-symbol-medium-r-normal--*-%d-*-*-p-*-adobe-fontspecific

dialog.bold.0=-monotype-arial-bold-r-normal--*-%d-*-*-p-*-iso8859-1
dialog.bold.1=-hp-hp user-medium-r-normal--*-%d-*-*-m-*-iso8859-5
dialog.bold.2=-adobe-symbol-medium-r-normal--*-%d-*-*-p-*-adobe-fontspecific
dialog.bold.3=-adobe-symbol-medium-r-normal--*-%d-*-*-p-*-adobe-fontspecific

dialog.bolditalic.0=-monotype-arial-bold-i-normal--*-%d-*-*-p-*-iso8859-1
dialog.bolditalic.1=-hp-hp user-medium-r-normal--*-%d-*-*-m-*-iso8859-5
dialog.bolditalic.2=-adobe-symbol-medium-r-normal--*-%d-*-*-p-*-adobe-fontspecific
dialog.bolditalic.3=-adobe-symbol-medium-r-normal--*-%d-*-*-p-*-adobe-fontspecific


# DialogInput font definition
#
dialoginput.0=-monotype-courier new-medium-r-normal--*-%d-*-*-m-*-iso8859-1
dialoginput.1=-hp-hp system-medium-r-normal--*-%d-*-*-p-*-iso8859-5
dialoginput.2=-adobe-symbol-medium-r-normal--*-%d-*-*-p-*-adobe-fontspecific
dialoginput.3=-adobe-symbol-medium-r-normal--*-%d-*-*-p-*-adobe-fontspecific

dialoginput.italic.0=-monotype-courier new-medium-i-normal--*-%d-*-*-m-*-iso8859-1
dialoginput.italic.1=-hp-hp system-medium-r-normal--*-%d-*-*-p-*-iso8859-5
dialoginput.italic.2=-adobe-symbol-medium-r-normal--*-%d-*-*-p-*-adobe-fontspecific
dialoginput.italic.3=-adobe-symbol-medium-r-normal--*-%d-*-*-p-*-adobe-fontspecific

dialoginput.bold.0=-monotype-courier new-bold-r-normal--*-%d-*-*-m-*-iso8859-1
dialoginput.bold.1=-hp-hp system-bold-r-normal--*-%d-*-*-p-*-iso8859-5
dialoginput.bold.2=-adobe-symbol-medium-r-normal--*-%d-*-*-p-*-adobe-fontspecific
dialoginput.bold.3=-adobe-symbol-medium-r-normal--*-%d-*-*-p-*-adobe-fontspecific

dialoginput.bolditalic.0=-monotype-courier new-bold-i-normal--*-%d-*-*-m-*-iso8859-1
dialoginput.bolditalic.1=-hp-hp system-bold-r-normal--*-%d-*-*-p-*-iso8859-5
dialoginput.bolditalic.2=-adobe-symbol-medium-r-normal--*-%d-*-*-p-*-adobe-fontspecific
dialoginput.bolditalic.3=-adobe-symbol-medium-r-normal--*-%d-*-*-p-*-adobe-fontspecific


# Default font definition
#
default.char=0

# name aliases
#
# alias.timesroman=serif
# alias.helvetica=sansserif
# alias.courier=monospaced

# for backward compatibility
timesroman.plain.0=-monotype-times new roman-medium-r-normal--*-%d-*-*-p-*-iso8859-1
timesroman.italic.0=-monotype-times new roman-medium-i-normal--*-%d-*-*-p-*-iso8859-1
timesroman.bold.0=-monotype-times new roman-bold-r-normal--*-%d-*-*-p-*-iso8859-1
timesroman.bolditalic.0=-monotype-times new roman-bold-i-normal--*-%d-*-*-p-*-iso8859-1
#
helvetica.plain.0=-monotype-arial-medium-r-normal--*-%d-*-*-p-*-iso8859-1
helvetica.italic.0=-monotype-arial-medium-i-normal--*-%d-*-*-p-*-iso8859-1
helvetica.bold.0=-monotype-arial-bold-r-normal--*-%d-*-*-p-*-iso8859-1
helvetica.bolditalic.0=-monotype-arial-bold-i-normal--*-%d-*-*-p-*-iso8859-1
#
courier.plain.0=-monotype-courier new-medium-r-normal--*-%d-*-*-m-*-iso8859-1
courier.italic.0=-monotype-courier new-medium-i-normal--*-%d-*-*-m-*-iso8859-1
courier.bold.0=-monotype-courier new-bold-r-normal--*-%d-*-*-m-*-iso8859-1
courier.bolditalic.0=-monotype-courier new-bold-i-normal--*-%d-*-*-m-*-iso8859-1

# Static FontCharset info.
#
# This information is used by the font which is not indexed by Unicode.
# Such fonts can use their own subclass of FontCharset.
#
# This information can be overriden by describing more specific style.
# For example
#
#  fontcharset.serif.plain.3=SpecialSymbols
#  means serif.plain.3 font's index can be retrieved with the convert() method
#  of instance of SpecialSymbols and what kind of characters serif.plain.3 font
#  has can be judged with the isCovered() method of instance of SpecialSymbols.
#
fontcharset.serif.0=sun.io.CharToByteISO8859_1 
fontcharset.serif.1=sun.io.CharToByteISO8859_5
fontcharset.serif.2=sun.awt.CharToByteSymbol
fontcharset.serif.3=sun.awt.CharToByteSymbol


fontcharset.sansserif.0=sun.io.CharToByteISO8859_1
fontcharset.sansserif.1=sun.io.CharToByteISO8859_5
fontcharset.sansserif.2=sun.awt.CharToByteSymbol
fontcharset.sansserif.3=sun.awt.CharToByteSymbol


fontcharset.monospaced.0=sun.io.CharToByteISO8859_1
fontcharset.monospaced.1=sun.io.CharToByteISO8859_5
fontcharset.monospaced.2=sun.awt.CharToByteSymbol
fontcharset.monospaced.3=sun.awt.CharToByteSymbol


fontcharset.dialog.0=sun.io.CharToByteISO8859_1
fontcharset.dialog.1=sun.io.CharToByteISO8859_5
fontcharset.dialog.2=sun.awt.CharToByteSymbol
fontcharset.dialog.3=sun.awt.CharToByteSymbol


fontcharset.dialoginput.0=sun.io.CharToByteISO8859_1
fontcharset.dialoginput.1=sun.io.CharToByteISO8859_5
fontcharset.dialoginput.2=sun.awt.CharToByteSymbol
fontcharset.dialoginput.3=sun.awt.CharToByteSymbol


# exclusion info.
#
# This information describe exclusion ranges for each fonts.
#
# 'exclusion.serif.plain.0' overrides 'exclusion.serif.0', and
# 'exclusion.serif.0' overrides exclusion.0, and so on.
#

# XFontSet string
# X11 only properties
#

fontset.serif.plain=\
-monotype-times new roman-medium-r-normal--*-%d-*-*-p-*-iso8859-1, \
-hp-hp user-medium-r-normal--*-%d-*-*-m-*-iso8859-5

fontset.serif.italic=\
-monotype-times new roman-medium-i-normal--*-%d-*-*-p-*-iso8859-1, \
-hp-hp user-medium-r-normal--*-%d-*-*-m-*-iso8859-5

fontset.serif.bold=\
-monotype-times new roman-bold-r-normal--*-%d-*-*-p-*-iso8859-1, \
-hp-hp user-medium-r-normal--*-%d-*-*-m-*-iso8859-5

fontset.serif.bolditalic=\
-monotype-times new roman-bold-i-normal--*-%d-*-*-p-*-iso8859-1, \
-hp-hp user-medium-r-normal--*-%d-*-*-m-*-iso8859-5

fontset.sansserif.plain=\
-monotype-arial-medium-r-normal--*-%d-*-*-p-*-iso8859-1, \
-hp-hp system-medium-r-normal--*-%d-*-*-p-*-iso8859-5

fontset.sansserif.italic=\
-monotype-arial-medium-i-normal--*-%d-*-*-p-*-iso8859-1, \
-hp-hp system-medium-r-normal--*-%d-*-*-p-*-iso8859-5
 
fontset.sansserif.bold=\
-monotype-arial-bold-r-normal--*-%d-*-*-p-*-iso8859-1, \
-hp-hp system-bold-r-normal--*-%d-*-*-p-*-iso8859-5
 
fontset.sansserif.bolditalic=\
-monotype-arial-bold-i-normal--*-%d-*-*-p-*-iso8859-1, \
-hp-hp system-bold-r-normal--*-%d-*-*-p-*-iso8859-5

fontset.monospaced.plain=\
-monotype-courier new-medium-r-normal--*-%d-*-*-m-*-iso8859-1, \
-hp-hp user-medium-r-normal--*-%d-*-*-m-*-iso8859-5

fontset.monospaced.italic=\
-monotype-courier new-medium-i-normal--*-%d-*-*-m-*-iso8859-1, \
-hp-hp user-medium-r-normal--*-%d-*-*-m-*-iso8859-5
 
fontset.monospaced.bold=\
-monotype-courier new-bold-r-normal--*-%d-*-*-m-*-iso8859-1, \
-hp-hp user-medium-r-normal--*-%d-*-*-m-*-iso8859-5
 
fontset.monospaced.bolditalic=\
-monotype-courier new-bold-i-normal--*-%d-*-*-m-*-iso8859-1, \
-hp-hp user-medium-r-normal--*-%d-*-*-m-*-iso8859-5
 
fontset.dialog.plain=\
-monotype-arial-medium-r-normal--*-%d-*-*-p-*-iso8859-1, \
-hp-hp user-medium-r-normal--*-%d-*-*-m-*-iso8859-5
 
fontset.dialog.italic=\
-monotype-arial-medium-i-normal--*-%d-*-*-p-*-iso8859-1, \
-hp-hp user-medium-r-normal--*-%d-*-*-m-*-iso8859-5
 
fontset.dialog.bold=\
-monotype-arial-bold-r-normal--*-%d-*-*-p-*-iso8859-1, \
-hp-hp user-medium-r-normal--*-%d-*-*-m-*-iso8859-5
 
fontset.dialog.bolditalic=\
-monotype-arial-bold-i-normal--*-%d-*-*-p-*-iso8859-1, \
-hp-hp user-medium-r-normal--*-%d-*-*-m-*-iso8859-5
 
fontset.dialoginput.plain=\
-monotype-courier new-medium-r-normal--*-%d-*-*-m-*-iso8859-1, \
-hp-hp system-medium-r-normal--*-%d-*-*-p-*-iso8859-5

fontset.dialoginput.italic=\
-monotype-courier new-medium-i-normal--*-%d-*-*-m-*-iso8859-1, \
-hp-hp system-medium-r-normal--*-%d-*-*-p-*-iso8859-5
 
fontset.dialoginput.bold=\
-monotype-courier new-bold-r-normal--*-%d-*-*-m-*-iso8859-1, \
-hp-hp system-bold-r-normal--*-%d-*-*-p-*-iso8859-5
 
fontset.dialoginput.bolditalic=\
-monotype-courier new-bold-i-normal--*-%d-*-*-m-*-iso8859-1, \
-hp-hp system-bold-r-normal--*-%d-*-*-p-*-iso8859-5

#
fontset.default=\
-monotype-arial-medium-r-normal--*-%d-*-*-p-*-iso8859-1, \
-hp-hp user-medium-r-normal--*-%d-*-*-m-*-iso8859-5
#
